Optimize caption
curl --request POST \
--url https://api.kynva.ai/api/v1/social/optimize-caption \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caption": "<string>",
"targetPlatform": "<string>",
"tone": "<string>",
"includeEmojis": true,
"addHashtags": true,
"hashtagCount": 5
}
'import requests
url = "https://api.kynva.ai/api/v1/social/optimize-caption"
payload = {
"caption": "<string>",
"targetPlatform": "<string>",
"tone": "<string>",
"includeEmojis": True,
"addHashtags": True,
"hashtagCount": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caption: '<string>',
targetPlatform: '<string>',
tone: '<string>',
includeEmojis: true,
addHashtags: true,
hashtagCount: 5
})
};
fetch('https://api.kynva.ai/api/v1/social/optimize-caption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Social Media
Optimize caption
Optimize an existing caption for a specific platform
POST
/
api
/
v1
/
social
/
optimize-caption
Optimize caption
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Response
200
Default Response
⌘I